package com.hai.model;

import com.hai.entity.HighCoupon;
import com.hai.entity.HighCouponHandsel;

import java.util.List;

/**
 * @Auther: 胡锐
 * @Description: 卡卷模型
 * @Date: 2021/3/11 22:27
 */
public class HighCouponModel {

    // 商户名称
    private String merchantName;

    // 库存数量
    private Integer stockCount;

    // 赠送卡卷id
    private List<Long> handselCouponId;

    // 购买数量上限
    private Boolean numberUpperLimitStatus;

    // 赠送卡卷
    private List<HighCouponHandselModel> handselCouponList;

    public Boolean getNumberUpperLimitStatus() {
        return numberUpperLimitStatus;
    }

    public void setNumberUpperLimitStatus(Boolean numberUpperLimitStatus) {
        this.numberUpperLimitStatus = numberUpperLimitStatus;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public Integer getStockCount() {
        return stockCount;
    }

    public void setStockCount(Integer stockCount) {
        this.stockCount = stockCount;
    }

    public List<Long> getHandselCouponId() {
        return handselCouponId;
    }

    public void setHandselCouponId(List<Long> handselCouponId) {
        this.handselCouponId = handselCouponId;
    }

    public List<HighCouponHandselModel> getHandselCouponList() {
        return handselCouponList;
    }

    public void setHandselCouponList(List<HighCouponHandselModel> handselCouponList) {
        this.handselCouponList = handselCouponList;
    }
}
